=== debian/changelog ===
ubuntu-docs (6.06.1) dapper; urgency=low

  * removing useless link (Ubuntu: #47016)

 -- Matthew East <mdke@ubuntu.com>  Sun, 28 May 2006 01:44:00 +0100

ubuntu-docs (6.05.6) dapper; urgency=low

  * Replace `Ubuntu 6.06, Dapper Drake' with `Ubuntu 6.06 LTS'.
  * Replace 6.04 with 60.6 in generic/libs/generic.ent.
  * New sk translation of desktopguide (patch via mdke).
  * Remove `ka_GE' from DapperFirefoxStartPageTranslation locale list.
    It's too near to the Dapper release to complete the remaining stages
    of the adding-a-locale process, and we must not stop halfway.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 23 May 2006 15:39:25 +0100

ubuntu-docs (6.05.5) dapper; urgency=low

  * Updated translations for everything (last update before the release)
  * [Daniel Holbach]
    - debian/README: updated.

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 May 2006 17:31:00 +0100

ubuntu-docs (6.05.4) UNRELEASED; urgency=low

  * Adding preface.xml for zh_TW (was causing scrollkeeper errors)
  * DapperFirefoxStartPageTranslation - new translateable locale `ka_GE'

 -- Matthew East <mdke@ubuntu.com>  Wed, 17 May 2006 20:53:00 +0100

ubuntu-docs (6.05.3) dapper; urgency=low

  * DapperFirefoxStartPageTranslation for epiphany:
    produce an index-C.html for epiphany's index-%l.html.
  * New translateable locale `ku'.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 17:18:19 +0100

ubuntu-docs (6.05.2) dapper; urgency=low

  * New snapshot of translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Sun, 14 May 2006 12:42:00 +0100

ubuntu-docs (6.05.1) dapper; urgency=low

  * Taking html out of shipped documentation.
  * Adding preface.xml for those translations which have them
  * New snapshot of translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Tue, 02 May 2006 19:23:16 +0200

ubuntu-docs (6.04.8) dapper; urgency=low

  * [Matthew East and the Docteam]
    - Adding some symbolic links so that the css and images in localised 
      firefox homepages work
    - Adding translations of the documents (BIG INCREASE IN PACKAGE SIZE)
    - Moved to debhelper 5 so that we can use comments in debian/install to 
      keep track of what has now become a long and confusing file.
    - Relocated sample folders up a directory so that they don't need to be 
      included for each translation
  * [Daniel Holbach]
    - debian/README:
      - updated instructions to obtain 'source' for ubuntu-docs.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 23 Apr 2006 08:39:40 +0200

ubuntu-docs (6.04.7) dapper; urgency=low

  * Revised DapperFirefoxStartPageTranslation:
    - new slave alternatives directory for translated homepages
    - automatic script for generation of link farm

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 21 Apr 2006 18:05:36 +0100

ubuntu-docs (6.04.6) dapper; urgency=low

  * SVN checkout to make mdke happy. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 15 Apr 2006 13:58:57 +0200

ubuntu-docs (6.04.5) dapper; urgency=low

  * Massive reduction in source package (to make dholbach happy)
  * Adding more firefox homepage translations

 -- Matthew East <mdke@ubuntu.com>  Tue, 11 Apr 2006 22:26:00 +0100

ubuntu-docs (6.04.4) dapper; urgency=low

  * The "gee the docteam rocks nowadays" release
  * Documentation string freeze
  * Pot templates for about ubuntu, desktop guide, server guide, packagingguide, preface
  * Fixing broken entity in about ubuntu
  * Adding more firefox homepage translations

 -- Matthew East <mdke@ubuntu.com>  Fri, 07 Apr 2006 15:11:07 +0100

ubuntu-docs (6.04.3) dapper; urgency=low

  * Adding links for dummy firefox homepage translations
  * Adding lt translation of firefox homepage

 -- Matthew East <mdke@ubuntu.com>  Tue, 05 Apr 2006 15:11:07 +0100

ubuntu-docs (6.04.2) dapper; urgency=low

  * Adding a link for common files in /usr/share/gnome (fixes malone 37979)

 -- Matthew East <mdke@ubuntu.com>  Tue, 04 Apr 2006 11:11:07 +0100

ubuntu-docs (6.04.1) dapper; urgency=low

  * New SVN snapshot:
    - Rewrite of About Ubuntu document.
    - Updated pot file for About-Ubuntu

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 03 Apr 2006 20:55:07 +0200

ubuntu-docs (6.03.5) dapper; urgency=low

  * New SVN snapshot.
  * debian/control:
    - added docbook-xml to Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 26 Mar 2006 16:06:40 +0200

ubuntu-docs (6.03.4) dapper; urgency=low

  * New SVN snapshot, should make scrollkeeper happy again. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 25 Mar 2006 13:11:39 +0100

ubuntu-docs (6.03.3) dapper; urgency=low

  * New SVN snapshot. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Mar 2006 14:46:49 +0100

ubuntu-docs (6.03.2) dapper; urgency=low

  * New SVN snapshot. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 14 Mar 2006 13:10:44 +0100

ubuntu-docs (6.03.1) dapper; urgency=low

  * lots of new material from the whole team
  * new style for browser homepage, including some images
  * corrected position of the sample directories for desktop/server guide html versions

 -- Matthew East <mdke@ubuntu.com>  Wed, 8 Mar 2006 16:11:00 +0000

ubuntu-docs (6.02.3) dapper; urgency=low

  * New SVN snapshot.
    - enhanced copyright file (Malone: #27923)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 28 Feb 2006 08:16:47 +0100

ubuntu-docs (6.02.2) dapper; urgency=low

  * New SVN snapshot.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 21 Feb 2006 14:02:23 +0100

ubuntu-docs (6.02.1) dapper; urgency=low

  * New SVN snapshot.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 13 Feb 2006 17:31:48 +0100

ubuntu-docs (6.01.6) dapper; urgency=low

  * removing links to html versions of the guides from Yelp Table of Contents
  * new material for desktopguide (Naaman Campbell, Milo Casagrande, mdke); lots of bugs fixed; fairly drastic re-organisation: please test and give feedback!!
  * new material for serverguide (bhuvan)

