=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends-Indep: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml
Standards-Version: 3.6.2

Package: ubuntu-docs
Architecture: all
Depends: scrollkeeper
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Recommends: yelp
Description: The Ubuntu Documentation Project
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. It includes the Ubuntu Desktop Guide, 
 the Ubuntu Server Guide, the Ubuntu Packaging Guide and two documents about Ubuntu.  The guides can 
 be viewed using Yelp, the GNOME help browser, or by Firefox as html 
 documents.
