=== ubuntu/Makefile ===
--- 
+++ 
@@ -99,7 +99,7 @@
 #######################################
 
 # About Ubuntu Document
-au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_GB $(ABASE)es $(ABASE)fi $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hr $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)ko $(ABASE)lo $(ABASE)lt $(ABASE)mk $(ABASE)nb $(ABASE)nl $(ABASE)oc $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sv $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)urd $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW
+au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_GB $(ABASE)es $(ABASE)fi $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hr $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)ko $(ABASE)lo $(ABASE)lt $(ABASE)mk $(ABASE)nb $(ABASE)nl $(ABASE)oc $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sv $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)urd $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW $(ABASE)ur $(ABASE)nn $(ABASE)es_PR $(ABASE)eo $(ABASE)et
 
 	@echo "--- Building About Ubuntu Document"
 	# copy style sheet and common images to build directory
@@ -136,7 +136,7 @@
 	
 # Desktop Guide
 
-dg: $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)en_GB $(DGBASE)es $(DGBASE)et $(DGBASE)fi $(DGBASE)fr $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sr $(DGBASE)sv $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)urd $(DGBASE)zh_CN $(DGBASE)zh_TW
+dg: $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)en_GB $(DGBASE)es $(DGBASE)et $(DGBASE)fi $(DGBASE)fr $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sr $(DGBASE)sv $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)urd $(DGBASE)zh_CN $(DGBASE)zh_TW $(DGBASE)ur $(DGBASE)ca $(DGBASE)el $(DGBASE)sl
 
 	@echo "--- Building the Ubuntu Desktop Guide . . ."
 	# copy style sheet and common images to build directory
@@ -155,7 +155,7 @@
 
 # Server Guide
 
-server: $(SERVERBASE)C $(SERVERBASE)bn $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tr $(SERVERBASE)urd $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW 
+server: $(SERVERBASE)C $(SERVERBASE)bn $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tr $(SERVERBASE)urd $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW $(SERVERBASE)ur $(SERVERBASE)nl $(SERVERBASE)cs
 
 	@echo "Building the Server Guide . . ."
 	# copy style sheet and common images to build directory
@@ -176,7 +176,7 @@
 
 ## Packaging Guide
 
-package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)de $(PACKAGEBASE)es $(PACKAGEBASE)fr $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)hu $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)urd $(PACKAGEBASE)zh_CN
+package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)de $(PACKAGEBASE)es $(PACKAGEBASE)fr $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)hu $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)urd $(PACKAGEBASE)zh_CN $(PACKAGEBASE)sl $(PACKAGEBASE)oc $(PACKAGEBASE)ur
 
 	@echo "Building the Packaging Guide . . ."
 	mkdir -p $(PACKAGEBASE)images/C
@@ -194,7 +194,7 @@
 	cp libs/*css ../build/ubuntu/common/
 	cp libs/img/*png ../build/ubuntu/common/img/
 
-$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguideguide.xml
+$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguide.xml
 	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
 
 #######################################
@@ -210,82 +210,87 @@
 dg-pdf-C:
 
 	xsltproc --xinclude -o $(PDFBASE)C/desktopguide.fo $(PDFSTYLE) desktopguide/C/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
-	#rm $(PDFBASE)C/desktopguide.fo
+	fop -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
+	rm $(PDFBASE)C/desktopguide.fo
 
 dg-pdf-am:
 
 	xsltproc --xinclude -o $(PDFBASE)am/desktopguide.fo $(PDFSTYLE) desktopguide/am/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
+	fop -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
 	rm $(PDFBASE)am/desktopguide.fo
 
 dg-pdf-be:
 
 	xsltproc --xinclude -o $(PDFBASE)be/desktopguide.fo $(PDFSTYLE) desktopguide/be/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
+	fop -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
 	rm $(PDFBASE)be/desktopguide.fo
 
 dg-pdf-bn:
 
 	xsltproc --xinclude -o $(PDFBASE)bn/desktopguide.fo $(PDFSTYLE) desktopguide/bn/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
+	fop -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
 	rm $(PDFBASE)bn/desktopguide.fo
 
 dg-pdf-cs:
 
 	xsltproc --xinclude -o $(PDFBASE)cs/desktopguide.fo $(PDFSTYLE) desktopguide/cs/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
+	fop -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
 	rm $(PDFBASE)cs/desktopguide.fo
 
 dg-pdf-da:
 
 	xsltproc --xinclude -o $(PDFBASE)da/desktopguide.fo $(PDFSTYLE) desktopguide/da/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
+	fop -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
 	rm $(PDFBASE)da/desktopguide.fo
 
 dg-pdf-de:
 
 	xsltproc --xinclude -o $(PDFBASE)de/desktopguide.fo $(PDFSTYLE) desktopguide/de/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
+	fop -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
 	rm $(PDFBASE)de/desktopguide.fo
 
 dg-pdf-en_GB:
 
 	xsltproc --xinclude -o $(PDFBASE)en_GB/desktopguide.fo $(PDFSTYLE) desktopguide/en_GB/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
+	fop -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
 	rm $(PDFBASE)en_GB/desktopguide.fo
 
 dg-pdf-es:
 
 	xsltproc --xinclude -o $(PDFBASE)es/desktopguide.fo $(PDFSTYLE) desktopguide/es/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
+	fop -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
 	rm $(PDFBASE)es/desktopguide.fo
 
 dg-pdf-et:
 
 	xsltproc --xinclude -o $(PDFBASE)et/desktopguide.fo $(PDFSTYLE) desktopguide/et/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
+	fop -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
 	rm $(PDFBASE)et/desktopguide.fo
 
 dg-pdf-fi:
 
 	xsltproc --xinclude -o $(PDFBASE)fi/desktopguide.fo $(PDFSTYLE) desktopguide/fi/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fi/desktopguide.fo -pdf $(PDFBASE)fi/desktopguide.pdf
+	fop -fo $(PDFBASE)fi/desktopguide.fo -pdf $(PDFBASE)fi/desktopguide.pdf
 	rm $(PDFBASE)fi/desktopguide.fo
 
 dg-pdf-fr:
 
 	xsltproc --xinclude -o $(PDFBASE)fr/desktopguide.fo $(PDFSTYLE) desktopguide/fr/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
+	fop -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
 	rm $(PDFBASE)fr/desktopguide.fo
 
 dg-pdf-he:
 
 	xsltproc --xinclude -o $(PDFBASE)he/desktopguide.fo $(PDFSTYLE) desktopguide/he/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)he/desktopguide.fo -pdf $(PDFBASE)he/desktopguide.pdf
+	fop -fo $(PDFBASE)he/desktopguide.fo -pdf $(PDFBASE)he/desktopguide.pdf
 	rm $(PDFBASE)he/desktopguide.fo
 
 dg-pdf-hr:
 
 	xsltproc --xinclude -o $(PDFBASE)hr/desktopguide.fo $(PDFSTYLE) desktopguide/hr/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)hr/desktopguide.fo -pdf $(PDFBASE)hr/desktopguide.pdf
+	fop -fo $(PDFBASE)hr/desktopguide.fo -pdf $(PDFBASE)hr/desktopguide.pdf
+	rm $(PDFBASE)hr/desktopguide.fo
+
+dg-pdf-hu:
+
+	xsltproc --xinclude -o $(PDFBASE)hu/desktopguide.fo $(PDFSTYLE) desktopguide/hu/desktopguide.xml
