=== debian/changelog ===
ubuntu-docs (6.06.2) dapper-updates; urgency=low

  * New snapshot of translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Fri, 16 June 2006 13:25:00 +0100
