=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = ubuntu

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common

common-binary-post-install-indep::
	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		ubuntu/browser-startpage \
		debian/ubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-ubuntu \
		../index.html
