=== debian/changelog ===
ubuntu-docs (6.10.4) edgy; urgency=low

  * Updating omf files for getting-help
  * Removing es_ES locale for aboutubuntu (duplicate of es) - bug 66819

 -- Matthew East <mdke@ubuntu.com>  Fri, 20 Oct 2006 20:30:00 +0100

ubuntu-docs (6.10.3) edgy; urgency=low

  * Matthew East:
    - Fixing translations by installing *omf files for each document and 
      fixing paths in the omf files
  * Daniel Holbach:
    - fix installation, run dh_scrollkeeper.

 -- Matthew East <mdke@ubuntu.com>  Wed, 18 Oct 2006 22:00:00 +0100

ubuntu-docs (6.10.2) edgy; urgency=low

  * Adding translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Sun, 15 Oct 2006 10:30:00 +0100

ubuntu-docs (6.10.1) edgy; urgency=low

  * Including po files for translations in source package, as requested by Carlos.
  * Adding pot template and correcting typo in omf file for Getting Help document.

 -- Matthew East <mdke@ubuntu.com>  Sun, 30 Sep 2006 12:00:00 +0100

ubuntu-docs (6.09.3) edgy; urgency=low

  * New SVN checkout.
  * ubuntu/browser-startpage/*:
    - changed occurrences of Dapper, Drake, 6.06, LTS, ... to their 'edgy'
      equivalents - there are more strings to change outside of this.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 26 Sep 2006 12:42:25 +0200

ubuntu-docs (6.09.2) edgy; urgency=low

  * New SVN checkout. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 21 Sep 2006 22:52:02 +0200

ubuntu-docs (6.09.1) edgy; urgency=low

  * New release.
  * debian/control:
    - removed Depends on gnome2-user-guide, after discussion with Corey
      Burger.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 15 Sep 2006 17:55:30 +0200

ubuntu-docs (6.08.2) edgy; urgency=low

  * New "Contribute to Ubuntu" doc, written by Andreas Lloyd and imported from the wiki
  * Desktop guide significantly restructured, now includes the Gnome user-guide
  * Including pot templates for automatic import into Rosetta

 -- Matthew East <mdke@ubuntu.com>  Mon, 28 August 2006 22:00:00 +0100

ubuntu-docs (6.08.1) edgy; urgency=low

  * first package for Edgy
  * removing translations of documentation
  * changing installation directory for documentation from /usr/share/ubuntu-doc
     to /usr/share/gnome/help to integrate with gnome help system
  * splitting documents up to make a nicer structure for help system, hopefully
  .
  * [Daniel Holbach]
    - debian/README: updated repository URL. 
    - debian/control:
      - bumped Standards-Version,
      - made cdbs and debhelper Build-Depends, not Build-Depends-Indep.
    - debian/install:
      - changed ubuntuheader.png location.

 -- Matthew East <mdke@ubuntu.com>  Fri, 2 August 2006 14:00:00 +0100
